Bug 1431451 - Review Request: php-sebastian-object-reflector - Allows reflection of object attributes
Review Request: php-sebastian-object-reflector - Allows reflection of object ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: François Kooman
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1428914
  Show dependency treegraph
 
Reported: 2017-03-12 13:30 EDT by Remi Collet
Modified: 2017-04-01 13:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-01 13:27:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fkooman: fedora‑review+


Attachments (Terms of Use)
phpci log (2.83 KB, text/plain)
2017-03-17 10:31 EDT, François Kooman
no flags Details

  None (edit)
Description Remi Collet 2017-03-12 13:30:57 EDT
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/1b6a4dbaad705692dbbf3f04ec26115f0493b62e/php/phpunit/php-sebastian-object-reflector/php-sebastian-object-reflector.spec
SRPM URL: http://rpms.remirepo.net/SRPMS/php-sebastian-object-reflector-1.0.0-1.remi.src.rpm
Description: 
Allows reflection of object attributes, including inherited
and non-public ones.



Fedora Account System Username: remi
Comment 2 François Kooman 2017-03-17 10:29:54 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (2 clause)", "Unknown or generated". 13 files have unknown
     license. Detailed output of licensecheck in /home/fkooman/1431451-php-
     sebastian-object-reflector/licensecheck.txt

**** Actually it is the BSD 3 clause according to the composer.json and the
LICENSE file in the software.


[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by:
     /usr/share/php/SebastianBergmann(php-phpunit-Version)
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.

**** It seems my phpci.log does not indicate that php-reflection is required, 
it is probably a false negative!

[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[-]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.

**** I didn't actually test the library myself...

[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[-]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.

PHP:
[x]: Run phpci static analyze on all php files.
     Note: phpCompatInfo version 5.0.4 DB version 1.18.0 built Feb 24 2017
     14:46:51 CET static analyze results in /home/fkooman/1431451-php-
     sebastian-object-reflector/phpci.log


Rpmlint
-------
Checking: php-sebastian-object-reflector-1.1.0-1.fc27.noarch.rpm
          php-sebastian-object-reflector-1.1.0-1.fc27.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
1 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
php-sebastian-object-reflector (rpmlib, GLIBC filtered):
    php(language)
    php-composer(fedora/autoloader)
    php-reflection
    php-spl



Provides
--------
php-sebastian-object-reflector:
    php-composer(sebastian/object-reflector)
    php-sebastian-object-reflector



Source checksums
----------------
https://github.com/sebastianbergmann/object-reflector/archive/afd5797e7af7c9f529879ad5e8e8abe126c89dab/php-sebastian-object-reflector-1.1.0-afd5797.tar.gz :
  CHECKSUM(SHA256) this package     : bed40586a89cd91754adc15d43c716e58aacaedf46134378706d631ef54ba78d
  CHECKSUM(SHA256) upstream package : bed40586a89cd91754adc15d43c716e58aacaedf46134378706d631ef54ba78d


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1431451
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 3 François Kooman 2017-03-17 10:31 EDT
Created attachment 1264042 [details]
phpci log
Comment 4 François Kooman 2017-03-17 10:33:32 EDT
No blockers. Approved!
Comment 5 Gwyn Ciesla 2017-03-22 11:08:20 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/php-sebastian-object-reflector
Comment 6 Fedora Update System 2017-03-22 11:33:59 EDT
php-sebastian-object-reflector-1.1.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-84d7746e64
Comment 7 Fedora Update System 2017-03-23 10:25:21 EDT
php-sebastian-object-reflector-1.1.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-84d7746e64
Comment 8 Fedora Update System 2017-04-01 13:27:28 EDT
php-sebastian-object-reflector-1.1.0-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.